Why doesn’t the CAD Integrator menu in menu bar stay loaded?


When I run the CAD Integrator (CI) 12.1.1 installer, I get the window: “No supported version of AutoCAD or MicroStation were found on your computer.” On the next screen, I am able to manually select AutoCAD 2013 and 2014, and the install completes normally. The CI menu does not appear in the menu bar, so I have to manually add it by using the menu load process and navigating to the TrgaAcad_en.cuix file. However, it doesn’t stay loaded and I have to reload it every time I open AutoCAD 2014.

Also, once loaded, none of the functions in the IBM TRIRIGA CI work. For example, I keep getting: “Unknown command “TRGA_PREFERENCES”. I tried to use the APPLOAD process to try and load, but I don’t know the name of the CAD Integrator ARX file. Regardless, the install doesn’t appear to work properly. I tried to uninstall and reinstall 4-5 times, rebooted, re-downloaded the install file, etc. The menu won’t stay loaded, and I need the name of the ARX file to try the APPLOAD.

Here are a few notes:

  • Loading the menu does not load the plugin. If the plugin loads properly, then it will automatically load the menu if not loaded already.
  • Since the plugin is not actually loaded, none of the commands will work, hence the unknown command.
  • There is no ARX file. It’s a .NET assembly that requires netloading of the correct DLL.
  • Question: Are you using a 32-bit JVM instead of 64-bit? This is a known issue. We have an installer check for this now, but I am not sure it’s in 12.1.1.0: Troubleshooting CAD Integrator V.12 – Resolving No CAD Types Found on installation
  • Make sure you know that 12.1.1.0 does not support Java 8. That might be an issue.
  • If that’s not the problem, it might be some sort of security issue where the installer does not have permission to read or write to the registry in order to install CI. You can try installing with Admin privileges. We also have a wiki about it: Troubleshooting – AutoCAD – Unknown command after CI Install
  • The “No supported version…” message is there, so the installer cannot install anything. The fact that you can select AutoCAD just means it will deploy the necessary files, but will not actually install it. Refer to: Manually Loading CI using Netload

[Admin: This post is related to the 09.04.16 post about adding the menu in the menu bar. To see other related posts, use the Integrator tag.]

Continue reading

Using Apache or IIS with the mod_JK/isapi_redirect dll


When implementing mod_JK/isapi_redirect dll to Jboss with Apache or IIS, what version of the .so/.dll should I use? Apache is continually improving the mod_jk/isapi_redirect used to connect IIS or Apache web servers to Jboss. It is important to test the latest version and keep up-to-date on this connector. The latest changelog/release notes can be found on the Apache website.

Continue reading 

When using mod_JK/isapi_redirect dll, which version of .so/.dll?


When implementing mod_JK/isapi_redirect dll to JBoss with Apache or IIS, what version of the .so/.dll should I use? Apache is continually improving the mod_jk/isapi_redirect used to connect IIS or Apache web servers to JBoss. It is important to test the latest version and keep up-to-date on this connector. The latest changelog/release notes can be found on the Apache website.

Continue reading